Subject: Re: [bug#52275] [PATCH] gnu: syncthing: Update to 1.18.4.

From: Simen Endsjø <[email-masked]>
Date: Sun, 05 Dec 2021 09:54:16 +0100

Great! As 1.16.1 is broken due to this bug: https://github.com/syncthing/syncthing/issues/7685
I updated the patch to 1.18.1, but should we rather use 1.17.0 you think?

Leo Famulari <[email-masked]> writes:

> On Sun, Dec 05, 2021 at 12:44:20AM -0500, Leo Famulari wrote:
>> Do you know what's wrong here? I think that we should at least
>> understand it before pushing an upgrade that doesn't pass its tests.
>
> I looked it up. Between 1.18.1 and 1.18.2, Syncthing's "build
> constraints" were updated to "Go 1.17 style":
>
> https://github.com/syncthing/syncthing/commit/d47745a86b00fe1122d8ebd5e17601aa1b7552b2
>
> So, we can at least get 1.18.1 until we update our Go compiler. There
> are pending patches to use 1.17.
>
> 1.18.1 does build and pass its tests for me.